## cuyo 2.~-1.1.brl3

=== debian/changelog ===
cuyo (2.~-1.1.brl3-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #607106). Remaining changes:
    - Don't register MimeType=application/x-executable in
      the .desktop file.
    - Remove UTF-8 in the .desktop file
    - 
 -- Angel Abad <angelabad@gmail.com>  Mon, 19 Jul 2010 09:54:44 +0200

cuyo (2.~-1.1.brl3-1) unstable; urgency=low

  * forked uptream version without povray images
  * fix build-errors with gcc-4.4 (Closes: 504947)
  * switch to source format 3.0

 -- Bernhard R. Link <brlink@debian.org>  Mon, 08 Mar 2010 11:38:50 +0100

cuyo (2.~-1.1-1ubuntu3) karmic; urgency=low

  * Don't regester MimeType=application/x-executable in
    the .desktop file. (LP: #386438)
  * debian/patchs: Move all Ubuntu inline changes into quilt patches.
   - gcc4.4.patch, makefile-fixes.patch, and desktop-file-fixes.patch
  * debian/control: Build depend on quilt.
  * debian/rules: Add quilt magic. Drop deprecated dh_desktop call.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 18 Sep 2009 15:23:05 -0400

cuyo (2.~-1.1-1ubuntu2) karmic; urgency=low

  * Added missing header to fix FTBFS, thanks to Martin Michlmayr
    (LP: #428593).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 13 Sep 2009 00:31:27 +0400

cuyo (2.~-1.1-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add installation of upstream icons and .desktop file
    - Correct upstream .desktop file to be compliant with latest
      freedesktop.org specification and Gnome HIG
    - Correct upstream Makefile(s) so that icons and desktop files are installed
      in the right directory (/usr/share instead of /usr/share/games).
    - Modify Maintainer value to match Debian-Maintainer-Field Spec
  * Bump debhelper version to 5.0.51, required by dh_icons.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Sun, 17 Feb 2008 14:52:30 +0100

cuyo (2.~-1.1-1) unstable; urgency=low

  * new bugfix upstream version
  - now also builds with gcc-4.3 (Closes: 461955)
  * increase debhelper compatibility level to 5

 -- Bernhard R. Link <brlink@debian.org>  Thu, 14 Feb 2008 21:26:51 +0100

cuyo (2.~-1.0-1ubuntu1) hardy; urgency=low

  * Sync from debian unstable:
    - drop ubuntu .desktop file
  * Add installation of upstream icons and .desktop file
  * Correct upstream .desktop file to be compliant with latest
    freedesktop.org specification and Gnome HIG
  * Correct upstream Makefile(s) so that icons and desktop files are installed
    in the right directory (/usr/share instead of /usr/share/games).
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Wed, 26 Dec 2007 13:00:14 +0100

cuyo (2.~-1.0-1) unstable; urgency=low

  * new upstream release

 -- Bernhard R. Link <brlink@debian.org>  Sat, 22 Dec 2007 15:27:40 +0100

cuyo (2.~-1.0~beta1-1) experimental; urgency=low

  * new upstream prerelease
  * split architecture independent data into cuyo-data package
  * add Homepage: and Vcs-* headers
  * update debian/copyright

 -- Bernhard R. Link <brlink@debian.org>  Sat, 27 Oct 2007 14:34:22 +0200

cuyo (2.~-1.0~alpha1-1) experimental; urgency=low

  * new upstream prerelease
  - new graphic routines (Closes: 208688)
  - adds small mode (Closes: 148822)
  * updated build-dependencies as this now uses SDL instead of QT
  * tidied up debian/rules
  * bumped Standards-version
  * add watch file

 -- Bernhard R. Link <brlink@debian.org>  Sun, 31 Dec 2006 16:44:33 +0100

cuyo (1.8.6-1ubuntu1) feisty; urgency=low

  * create and install .desktop file (Closes: LP#90768)

 -- Cesare Tirabassi <norsetto@alice.it>  Sat, 10 Mar 2007 11:02:38 +0100

cuyo (1.8.6-1) unstable; urgency=low

  * new version (mostly new levels and code needed for that)
  * general clean-up:
    - update debian/copyrights
    - move icon to /usr/share/pixmaps
    - quote all values in debian/menu
    - bump standards version
  * add versioned build-depend to new qt to catch the right ABI.

 -- Bernhard R. Link <brlink@debian.org>  Mon, 29 Aug 2005 17:48:43 +0200

cuyo (1.8.5-1) unstable; urgency=low

  * new upstream version

 -- Bernhard R. Link <brlink@debian.org>  Mon,  9 Aug 2004 12:09:56 +0200

cuyo (1.8.4-0) unstable; urgency=low

  * new upstream version including new levels and 
    new qt-searching (Closes: #255613, #263418)
  * building against newer xlibs will make the 
    dependencies more current (Closes: #253333)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 23 Jul 2004 16:07:10 +0200

cuyo (1.8.3-4) unstable; urgency=low

  * The "I hate bugs I cannot reproduce" release,
    now totally circumventing the buggy autodetecting...

 -- Bernhard R. Link <brlink@debian.org>  Thu,  9 Oct 2003 20:22:48 +0200

cuyo (1.8.3-3) unstable; urgency=medium

  * The "This code is buggier than I thought" workaround.

 -- Bernhard R. Link <brlink@debian.org>  Thu,  9 Oct 2003 10:42:48 +0200

cuyo (1.8.3-2) unstable; urgency=medium

  * workaround for unreliable header-searching.

 -- Bernhard R. Link <brlink@debian.org>  Wed,  8 Oct 2003 14:32:48 +0200

cuyo (1.8.3-1) unstable; urgency=medium

  * new upstream version fixing:
    + 64-bit problems (Closes: #214430)
    + -pedantic problems with libqt3 (Closes: #213856)
  * fixed description (Closes: #207220)

 -- Bernhard R. Link <brlink@debian.org>  Tue,  7 Oct 2003 20:02:48 +0200

cuyo (1.8.1-1) unstable; urgency=low

  * new upstream version
  * binary moved to /usr/games,
    data to /usr/share/games/cuyo

 -- Bernhard R. Link <brlink@debian.org>  Tue, 19 Aug 2003 17:26:27 +0200

cuyo (1.7.0-1) unstable; urgency=low

  * new upstream version

 -- Bernhard R. Link <brlink@debian.org>  Tue,  1 Apr 2003 18:33:39 +0200

cuyo (1.6.1-1) unstable; urgency=low

  * New upstream version incorporating the local changes and removing
    compiler warning (did anyone try to run it on s390 before?)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 18 Dec 2002 14:45:35 +0100

cuyo (1.6.0-3) unstable; urgency=low


