=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -W -ansi -pedantic -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

config.status: configure
	dh_testdir
	AWK=gawk ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	            --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --bindir=\$${prefix}/games \
		    --datadir=\$${prefix}/share/games \
		    CXXFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" \
		    CPPFLAGS=""

build: build-arch-stamp build-indep-stamp
build-arch: build-arch-stamp
build-indep: build-indep-stamp
build-indep-stamp: config.status
	dh_testdir
	$(MAKE) -C data
	$(MAKE) -C docs
	touch build-indep-stamp

build-arch-stamp: config.status
	dh_testdir
	$(MAKE) -C src
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f src/parser.output
	rm -f build-arch-stamp build-indep-stamp
	if [ -e config.status ] ; then $(MAKE) distclean ; fi
	! test -e Makefile
	! test -e config.log
	! test -e config.status
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	if test -e config.sub ; then cp -f /usr/share/misc/config.sub config.sub ; fi
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	if test -e config.guess ; then cp -f /usr/share/misc/config.guess config.guess ; fi
endif
	dh_clean

binary-indep: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	$(MAKE) install -C docs DESTDIR=$(CURDIR)/debian/cuyo-data/
	$(MAKE) install -C data DESTDIR=$(CURDIR)/debian/cuyo-data/
	dh_install -i
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/cuyo/
	# manpage and icon are in -data, so help lintian to know this:
	install -m 644 debian/cuyo.lintian debian/cuyo/usr/share/lintian/overrides/cuyo
	dh_installdocs -a
	dh_installmenu -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary
