## cuyo 2.~-1.2.brl1

=== debian/changelog ===
cuyo (2.~-1.2.brl1-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Remove utf-8 encoding in .desktop file

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 24 Oct 2010 13:57:54 +0530

cuyo (2.~-1.2.brl1-1) unstable; urgency=low

  * new forked upstream version without povray images
  - remove unneeded dependency on SDLimage

 -- Bernhard R. Link <brlink@debian.org>  Sat, 24 Jul 2010 20:18:28 +0200
