=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>> 5), zlib1g-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>> 5), zlib1g-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
+Standards-Version: 3.9.0
 Homepage: http://www.karimmi.de/cuyo/
 
 Package: cuyo
 Architecture: any
 Depends: cuyo-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Tetris-like game with very impressive effects
- Cuyo, named after a Spanish relative adjective, shares 
+ Cuyo, named after a Spanish relative adjective, shares
  with tetris that things fall down and how to navigate them.
  When enough "of the same type" come "together", they explode.
  The goal of each level is to blow special "stones" away, you
@@ -24,7 +24,7 @@
 Recommends: cuyo
 Replaces: cuyo (<< 2.~-1.0~beta1-~)
 Description: data files for the game cuyo
- Cuyo, named after a Spanish relative adjective, shares 
+ Cuyo, named after a Spanish relative adjective, shares
  with tetris that things fall down and how to navigate them.
  When enough "of the same type" come "together", they explode.
  The goal of each level is to blow special "stones" away, you
