## cuyo 2.~-1.2.brl6

=== debian/changelog ===
cuyo (2.~-1.2.brl6-1) experimental; urgency=low

  * new forked upstream version (without povray images)
  * modernize packaging (dpkg-buildflags, debhelper compat 7)
  * install fixed cuyo.desktop (Closes: 488298)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 12 Oct 2011 15:44:44 +0000
