## cuyo 2.0.0~beta3.brl1

=== debian/changelog ===
cuyo (2.0.0~beta3.brl1-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Remove utf-8 encoding in .desktop file (Fixed in the forked version
      in debian experimental, Can be dropped in coming versions)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 06 Feb 2012 15:35:35 +0530

cuyo (2.0.0~beta3.brl1-1) unstable; urgency=low

  * new forked upstream version (without povray images)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 20 Jan 2012 10:47:56 +0100

cuyo (2.0.0~beta2.brl1-1) experimental; urgency=low

  * new forked upstream version (without povray images)
  * update debian/copyright

 -- Bernhard R. Link <brlink@debian.org>  Thu, 12 Jan 2012 18:58:00 +0100

cuyo (2.~-1.2.brl1-1ubuntu2) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:13:50 -0600
