=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>> 5), zlib1g-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>> 7), zlib1g-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, ocaml-nox, m4, gawk
+Standards-Version: 3.9.2
 Homepage: http://www.karimmi.de/cuyo/
+Vcs-Git: git://anonscm.debian.org/users/brlink/cuyo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/brlink/cuyo.git
 
 Package: cuyo
 Architecture: any
