## cuyo 2.0.0brl1

=== debian/changelog ===
cuyo (2.0.0brl1-3) unstable; urgency=low

  * add portuguese translation (Closes: 757090)
  * install translation files (fixes packaging error and adds pt)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 18 Oct 2014 09:06:55 +0200

cuyo (2.0.0brl1-2) unstable; urgency=low

  * new maintenance upload
  - switch to debhelper compatibility level 8
  - bump Standards-Version
  - remve no longer needed lintian override

 -- Bernhard R. Link <brlink@debian.org>  Tue, 10 Dec 2013 12:06:55 +0100

cuyo (2.0.0brl1-1) unstable; urgency=low

  * new forked (without povray images) upstream version

 -- Bernhard R. Link <brlink@debian.org>  Thu, 23 Feb 2012 19:26:22 +0100
