=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CXXFLAGS            := $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS            := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -Wall -W -ansi -pedantic
LDFLAGS += -Wl,-z,defs

config.status: configure
	dh_testdir
	AWK=gawk ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	            --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info \
		    --bindir=\$${prefix}/games \
		    --datadir=\$${prefix}/share/games \
		    CXXFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' \
		    CPPFLAGS='$(CPPFLAGS)' OCAMLC=ocamlc \
		    OCAMLLEX=ocamllex OCAMLOPT=ocamlopt

build: build-indep-stamp build-arch-stamp
build-arch: build-arch-stamp
build-indep: build-indep-stamp
build-indep-stamp: config.status
	dh_testdir
	$(MAKE) -C data
	$(MAKE) -C docs
	$(MAKE) -C po LINGUAS="de pt"
	touch build-indep-stamp

build-arch-stamp: config.status
	dh_testdir
	$(MAKE) -C src
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f src/parser.output
	rm -f build-arch-stamp build-indep-stamp
	if [ -e config.status ] ; then $(MAKE) distclean ; fi
	! test -e Makefile
	! test -e config.log
	! test -e config.status
	! test -e config.sub
	! test -e config.guess
	dh_clean

binary-indep: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	$(MAKE) install -C docs DESTDIR=$(CURDIR)/debian/cuyo-data/
	$(MAKE) install -C data DESTDIR=$(CURDIR)/debian/cuyo-data/
	$(MAKE) install -C po LINGUAS="de pt" DESTDIR=$(CURDIR)/debian/cuyo-data/
	dh_install -i
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/cuyo/
	$(MAKE) install -C icons DESTDIR=$(CURDIR)/debian/cuyo/
	dh_installdocs -a
	dh_installmenu -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary
