=== debian/watch ===
# See uscan(1) for format
version=3
opts=uversionmangle=s/([^~]\.)-/$1~-/g;s/([^~])(alpha|beta|rc)/$1~$2/ \
 http://download.savannah.nongnu.org/releases/cuyo/cuyo-([a-z0-9.~-]*)\.tar\.gz
