## cuyo 2.1.0

=== debian/changelog ===
cuyo (2.1.0-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/changelog: remove trailing whitespace.
  * d/control: add Rules-Requires-Root: no.
  * d/patches: Add patch to fix typos.
  * wrap-and-sort.
  * d/control: Bump Standards-Version to 4.7.2. No changes needed.
  * Remove cuyo.menu. Cuyo install a FreeDesktop entry.
  * d/watch: Use secure http.
  * d/control: Add povray as build dependency (Closes: #766715).

  [ Debian Janitor ]
  * Apply multi-arch hints. + cuyo-data: Add Multi-Arch: foreign.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 14 Sep 2025 00:35:41 -0300

cuyo (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * New maintainer (Closes: #916692).
    - Add myself to Maintainer field on d/control file.
  * Modify d/control field:
    - Bump Standards-Version to 4.5.1.
    - Add debhelper-compat = 13 to Build-Depends field.
    - Delete d/compat file.
  * Update Vcs-* on d/control files:
    - I create the project on salsa.
  * wrap-and-sort.
  * Bump d/watch version.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 14 Feb 2019 00:55:40 +0000
