=== debian/control ===
Source: cuyo
Section: games
Priority: optional
Maintainer: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: debhelper-compat (=13),
               gawk,
               libsdl-mixer1.2-dev,
               libsdl1.2-dev,
               m4,
               ocaml-nox,
               povray,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: http://www.karimmi.de/cuyo/
Vcs-Git: https://salsa.debian.org/games-team/cuyo.git
Vcs-Browser: https://salsa.debian.org/games-team/cuyo
Rules-Requires-Root: no

Package: cuyo
Architecture: any
Depends: cuyo-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tetris-like game with very impressive effects
 Cuyo, named after a Spanish relative adjective, shares
 with tetris that things fall down and how to navigate them.
 When enough "of the same type" come "together", they explode.
 The goal of each level is to blow special "stones" away, you
 start with. But what "of the same type" and "together" means,
 varies with the levels.

Package: cuyo-data
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: cuyo,
Replaces: cuyo (<< 2.~-1.0~beta1-~),
Multi-Arch: foreign
Description: data files for the game cuyo
 Cuyo, named after a Spanish relative adjective, shares
 with tetris that things fall down and how to navigate them.
 When enough "of the same type" come "together", they explode.
 The goal of each level is to blow special "stones" away, you
 start with. But what "of the same type" and "together" means,
 varies with the levels.
 .
 This package contains the graphics, sounds, level description
 and man pages for cuyo.
