=== debian/watch ===
version=4
opts=uversionmangle=s/([^~]\.)-/$1~-/g;s/([^~])(alpha|beta|rc)/$1~$2/ \
 https://download.savannah.nongnu.org/releases/cuyo/cuyo-([a-z0-9.~-]*)\.tar\.gz
